View Issue Details

IDProjectCategoryView StatusLast Update
0023383mantisbtfilterspublic2017-09-27 17:12
Reporterhelfy022 Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status newResolutionopen 
Product Version2.5.1 
Target VersionFixed in Version 
Summary0023383: hide "Target Version" and "Fixed in Version" filters
Description

Hello,

We have set "Versions" for specific projects, and wish to allow users to specify/view the "Product Version" on the report, view, and filter pages. We are currently hiding "Target Version" and "Fixed in Version" using the Field Visibility arrays (and those fields are indeed hidden from the report and view pages). However, those fields are still visible as Filters. Is it possible to hide "Target Version" and "Fixed in Version" from the list of applicable filters for a project and only show "Product Version" as a valid filter?

Please let me know if anything is unclear.

Thanks,
Ryan.

TagsNo tags attached.

Activities

helfy022

helfy022

2017-09-21 13:53

reporter   ~0057783

I want to provide a bit more info. The following configuration variables have been customized to successfully hide "Target Version" and "Fixed in Version" from all pages except View Issues filters:

$g_bug_report_page_fields
$g_bug_view_page_fields
$g_bug_update_page_fields
$g_bug_change_status_page_fields

Is there an array var that controls what filters are visible so that "Target Version" and "Fixed in Version" can indeed be hidden from the View Issues filters?

Thanks,
Ryan.

helfy022

helfy022

2017-09-25 12:31

reporter   ~0057811

Hello,

Please let me know if I can provide any more information to help clarify the question.

Thanks very much,
Ryan.

helfy022

helfy022

2017-09-26 20:01

reporter   ~0057820

One more item to add to this - is it possible to NOT have a child project inherit the Versions of a parent? If a sub-project is created under a project umbrella, it would appear that there is no way to turn off the related "Product Version," "Target Version," and "Fixed In Version" fields for the children. Is this accurate? If so, is it possible to hide the Product/Target/Fixed In Version fields for the sub-project issues?

These questions are in addition to the one posed in the original description of this bug (i.e., how do you hide Target/Fixed In Version filters from the View Issues page if they are not desired).

Thanks,
Ryan.

atrol

atrol

2017-09-27 16:25

developer   ~0057832

Is there an array var that controls what filters are visible so that "Target Version" and "Fixed in Version" can indeed be hidden from the View Issues filters?

there is no configuration option for it

If so, is it possible to hide the Product/Target/Fixed In Version fields for the sub-project issues?

there is no configuration option for it

helfy022

helfy022

2017-09-27 16:34

reporter   ~0057833

Thanks, @atrol. Would such config options even be considered if a GitHub pull request were filed?

Thanks,
Ryan.

atrol

atrol

2017-09-27 17:12

developer   ~0057834

Would such config options even be considered if a GitHub pull request were filed?

Submitting a patch is always a good idea, as it increases the chances of improvement eventually making it into MantisBT core. All contributions are welcome and greatly appreciated.

Please make sure that your submissions adhere to our Coding Guidelines, if they don't your patch might be rejected.
http://www.mantisbt.org/wiki/doku.php/mantisbt:coding_guidelines

For bigger changes, it's a good idea to start a discussion at Gitter before starting.
https://gitter.im/mantisbt

Issue History

Date Modified Username Field Change
2017-09-21 10:23 helfy022 New Issue
2017-09-21 10:50 atrol Severity minor => feature
2017-09-21 10:50 atrol Category other => filters
2017-09-21 13:53 helfy022 Note Added: 0057783
2017-09-25 12:31 helfy022 Note Added: 0057811
2017-09-26 20:01 helfy022 Note Added: 0057820
2017-09-27 16:25 atrol Note Added: 0057832
2017-09-27 16:34 helfy022 Note Added: 0057833
2017-09-27 17:12 atrol Note Added: 0057834